<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\Http\Response\ResponseInterface;
use Psr\Http\Message\ResponseFactoryInterface;
use Joomla\CMS\Router\Route;

use LartsSubscriptions\TemporaryTransaction;
use LartsSubscriptions\Order;
use LartsSubscriptions\OrderStatus;
use LartsSubscriptions\TransactionType;
use LartsSubscriptions\PSP\SubsPayment;
use LartsSubscriptions\Message;
use LartsSubscriptions\Invoice;
use LartsSubscriptions\RouterHelper;


class paylaterHelperProcess
{
	public function __construct($plugin)
	{
		$this->params = $plugin->params;
	}

	// Processing the payment request.
	public function process()
	{
    $redirect = Route::_('index.php?option=com_lartssubscriptions&view=payment&task=processed&processor=paylater');
    $app = Factory::getApplication();
    $app->redirect($redirect);
    return;
  
	}
}
