<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

if(!class_exists('LartsInstallerBase')) {
	require_once __DIR__ . '/LartsInstallerBase.php';
}

class PlgSysSubscriptionsInstaller extends LartsInstallerBase
{
	public function __construct()
	{
		$this->message_name = 'Logical-Arts Subscriptions Plugin';
		$this->extension_name = 'lartssubscriptions';		// == name of the root xml file
		$this->extension_type = 'plugin';
		$this->element = 'lartssubscriptions';								// == foldername of extension
		$this->plugin_folder = 'system';
		$this->show_message = false;
		$this->autopublish = true; 

		parent::__construct();
	}

}

return new PlgSysSubscriptionsInstaller;
