<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;

?>

<div class="alert alert-info">
	<strong><?php echo Text::_('COM_LARTSSUBS_IMPORTANT_INFO'); ?></strong><br />
	<p><?php echo Text::_('COM_LARTSSUBS_GEOIP_LIBRARY_MISSING'); ?></p>
	<strong>
		<p style="margin-top:10px;">
			<a class="btn" href="https://www.logical-arts-extensions.com/downloads/RD-Media-GeoIP-1.0.1.zip">
				<?php echo Text::_('COM_LARTSSUBS_DOWNLOAD_GEOIP_LIB'); ?>
			</a>
			<a class="btn" href="index.php?option=com_lartssubscriptions&view=dashboard&task=enableGeoIPApi">
				<?php echo Text::_('COM_LARTSSUBS_ENABLE_GEOIP_API'); ?>
			</a>
		</p>
	</strong>
</div>