<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;

$cntrl = $displayData['cntrl'];

?>
<?php if(!empty($displayData['disabled'])) : ?>
	<?php if ($displayData['value']) : ?>
		<span class="btn btn-micro tbody-icon disabled hasTooltip"
		      data-original-title="<?php echo Text::_('JPUBLISHED') ?>">
			<i class="fas fa-check green" aria-hidden="true"></i>
		</span>
	<?php else: ?>
		<span class="btn btn-micro tbody-icon disabled hasTooltip"
		      data-original-title="<?php echo Text::_('JUNPUBLISHED') ?>">
      <i class="fas fa-minus-square darkred" aria-hidden="true"></i>
		</span>
	<?php endif; ?>
<?php else: ?>
	<?php if ($displayData['value']) : ?>
		<a class="btn btn-micro tbody-icon active hasTooltip" href="javascript:void(0);"
		   onclick="return Joomla.listItemTask('cb<?php echo $displayData['id']; ?>', '<?php echo $cntrl; ?>.unpublish')"
		   data-original-title="<?php echo Text::_('JPUBLISHED') ?>">
			<i class="fas fa-check green" aria-hidden="true"></i>
		</a>
	<?php else: ?>
		<a class="btn btn-micro tbody-icon hasTooltip" href="javascript:void(0);"
		   onclick="return Joomla.listItemTask('cb<?php echo $displayData['id']; ?>', '<?php echo $cntrl; ?>.publish')"
		   data-original-title="<?php echo Text::_('JUNPUBLISHED') ?>">
      <i class="fas fa-minus-square darkred" aria-hidden="true"></i>
		</a>
	<?php endif; ?>
<?php endif; ?>
