<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

$rate = $displayData['rate'];
$country = $displayData['country'];
$col = $displayData['col'];
$link = Route::_('index.php?option=com_lartssubscriptions&&task=countries.getAjaxVATSel&cid='.$country.'&col='.$col);

?>

<span><?php echo ($rate > 0) ? $rate : ''; ?>
  <div class="float-end"> 
    <button type="button" class="btn btn-sm" data-bs-toggle="modal" data-bs-target="#ajax-modal" onClick="ajaxRequestModal('<?php echo $link; ?>')">
      <i class="fas fa-edit"></i>
    </button>
  </div>
</span>
