<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use LartsSubscriptions\Base\AppBase;
use LartsSubscriptions\Config;


/**
 * Description of LartsSubsApp
 * @author Christian
 */
class LartsSubsApp extends AppBase
{
	public static $_config = null;

  public function __construct() {
    parent::__construct();
	}
  public static function get($classname = null) {
    return AppBase::get('LartsSubscriptions\LartsSubsApp');
  }
 
  public static function getConfig() {
    if(!self::$_config) {
			self::$_config = new Config;
		}
		return self::$_config;
  }
  
}
