<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions\PSP;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Date\Date;
use Joomla\Filesystem\File;
use Joomla\Filesystem\Folder;

use LartsSubscriptions\Config as LartsConfig;
use LartsSubscriptions\Logger;
use LartsSubscriptions\PSP\SubsPayment;
use LartsSubscriptions\Message;
use LartsSubscriptions\Invoice;
use LartsSubscriptions\Order;
use LartsSubscriptions\Cart;


class PaymentAmazon
{
  public $log = 0;
  
	public function __construct()
	{
		$this->log = 0;
	}

	public function log($text)
	{
		$date = new Date;

		$msg = !empty($text) ? $date->format('Y-m-d H:i:s') . ' - ' . $text : '';
		$msg .= "\n";

		## Open log file:
		$file = JPATH_SITE . '/plugins/lartssubscriptions_payment/amazonpay/log.txt';

		if(!file_exists($file)) {
			file_put_contents($file, '-- amazonpay log --'. PHP_EOL);
		}

		$handle = fopen($file, "a");
		fputs($handle, $msg);
		fclose($handle);

		return true;
	}

}
