/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

function ready(fn) {
    if (document.readyState != 'loading'){
      fn();
    } else {
      document.addEventListener('DOMContentLoaded', fn);
    }
  }
  ready(() => {

//debugger;
    var but = document.querySelector(".cart-button");
		if(but !== null) {
			but.addEventListener("click", (e) => {
       toggleSidebar();
			});
		}
    var butclose = document.querySelector(".close-button");
    if(butclose != null) {
      butclose.addEventListener("click", (e) => {
        toggleSidebar();
      })
    };
});

function toggleSidebar()
{
	var body = document.querySelector("body");
  body.classList.toggle("show-sidebar-cart");
}
