<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Layout\FileLayout;

use LartsSubscriptions\Base\Image;
use LartsSubscriptions\Price;

//$class = isset($displayData['class']) ? ' ' . $displayData['class'] : '';
$num_columns = ! empty($displayData['num_columns']) ? $displayData['num_columns'] : 3;
//$active_products = $displayData['active_products'];

$layoutsPath = JPATH_SITE . '/components/com_lartssubscriptions/layouts';
$categories = $displayData['categories'];

?>
<div class="clearfix"></div>

<div class="larts">
  <div class="container">
    <div class="tiles-container">

  	<?php foreach ($categories as $i => $item): ?>

      <?php
      if(empty($item->image)) {
        $item->image = Image::getNoImage();
      }
      $layout = new FileLayout('categories_tiles_item', $layoutsPath);
      echo $layout->render(['category' => $item]);

      ?>
		<?php endforeach; ?>
	</div>
	</div>
</div>

<div class="clearfix"></div>
