<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

$category = $displayData['category'];
$catUrl = 'index.php?option=com_lartssubscriptions&view=categories&id=' .$category->id;

?>

<div class="tiles-tile">
  <div class="tile-prodbox">

    <a href="<?php echo $catUrl; ?>" class="tile-link">
      <?php if(!empty($category->image)) : ?>
      <div class="cat-tile-thumbnail">
        <img class="cat-tile-thumbnail-img" src="<?php echo $category->image; ?>" alt=""></img>
      </div>
      <?php endif; ?>
      <div class="cat-tile-name">
        <?php echo $category->name; ?>
      </div>
      <div class="cat-tile-details">
        <?php echo $category->teaser; ?>
      </div>
    </a>
  </div>
</div>


