<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Component\LartsSubscriptions\Site\View\Payment;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;

use LartsSubscriptions\CheckoutManager;

class HtmlView extends BaseHtmlView
{
	public $message;

  function display($tpl = null)
	{
		$processor = Factory::getApplication()->input->get('processor', '', 'word');

		if ($processor == 'freecheckout')
		{
      $ordercode = intval(Factory::getSession()->get('ordercode'));
			$cm = new CheckoutManager;
			$free_checkout = $cm->processFreeCheckout($ordercode, Factory::getApplication()->getIdentity()->id);

			$this->message = $free_checkout;
		}

    parent::display($tpl);
	}
}
