<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\Field\TextField;


class JFormFieldLarts_Input_Ajax_Select extends TextField
{
	public $type = 'Input_Ajax_Select';

	protected function getInput()
	{
		$task = isset($this->element['task']) ? $this->element['task'] : 'void()';
    $url = 'index.php?option=com_lartssubscriptions&task='.$task;
    $button = '<input type="button" class="modal btn btn-default" data-toggle="modal" data-target="#ajax-modal" onclick="ajaxRequestModal(\''.$url.'\')" value="...">'
			. '</button>';
    $button2 = '<div class="inline pull-right">' 
      . '<a class="modal" data-toggle="modal" data-target="#ajax-modal" onclick="ajaxRequestModal(\''.$url.'\')">'
      . '<span class="icon-edit"></span>'
      . '</a></div>';
		return
			'<div class="input-append">'
			. parent::getInput()
			. $button
			. '</div>';
	}
}

