<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\Field\TextField;


class JFormFieldLarts_Mailer_Template extends TextField
{
	public $type = 'Mailer_Template';

	protected function getInput()
	{
		$task = isset($this->element['task']) ? $this->element['task'] : 'void()';
    $url = 'index.php?option=com_lartssubscriptions&task='.$task;
    $button1 = '<button type="button" class="btn btn-default" title="" onclick="location.href=\'www.goole.de\'">'
			. '<span class="icon-plus"></span></button>';
    $button2 = '<button type="button" class="btn btn-default" title="" onclick="location.href=\'www.goole.de\'">'
			. '<span class="icon-plus"></span></button>';
		return
			'<div class="input-append">'
			. parent::getInput()
			. $button1
			. $button2
			. '</div>';
	}
}

