<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

$wa = $this->document->getWebAssetManager();
$wa->useScript('keepalive')
   ->useScript('form.validate');

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);

?>

	<form action="index.php?option=com_lartssubscriptions" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">

		<?php echo $this->loadTemplate('details'); ?>

		<input type="hidden" name="id" value="<?php echo isset($this->data->id) ? $this->data->id : null; ?>" />
		<input type="hidden" name="task" value="" />
    <?php echo HTMLHelper::_('form.token'); ?>
	</form>

	<div class="clr"></div>

<?php
