<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;

if ($displayData['state'] == '' || $displayData['state'] == 0)
{
	$state = '<span class="badge bg-danger label-warning">' . Text::_('JOFF') . '</span>';
}
else
{
	$state = '<span class="badge bg-success">' . Text::_('JON') . '</span>';
}
?>

<tr>
	<td class="left">
		<?php echo $displayData['extension']; ?>
	</td>
	<td class="left">
		<?php echo ucfirst($displayData['type']); ?>
	</td>
	<td class="center nowrap">
		<?php echo $displayData['version']; ?>
	</td>
	<td class="center nowrap">
		<?php echo $displayData['available']; ?>
	</td>
	<td class="center nowrap">
		<?php echo $state; ?>
	</td>
</tr>