<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

?>
<div class="btn-group pull-left">
	<input type="text" name="<?php echo $displayData['name']; ?>" id="filter_search"
	       value="<?php echo $displayData['value']; ?>"
	       placeholder="<?php echo Text::_('JSEARCH_FILTER'); ?>">
</div>
<div class="btn-group pull-left">
	<button type="submit" class="btn hasTooltip" title="" data-original-title="<?php echo HTMLHelper::tooltipText('JSEARCH_FILTER_SUBMIT'); ?>">
		<span class="icon-search"></span>
	</button>
	<button type="button" class="btn hasTooltip" title="" onclick="document.getElementById('filter_search').value='';this.form.submit();" data-original-title="<?php echo HTMLHelper::tooltipText('JSEARCH_FILTER_CLEAR'); ?>">
		<span class="icon-remove"></span>
	</button>
</div>
