<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use LartsSubscriptions\Base\BSWrapper;

?>
<?php if ($displayData['value']): ?>
  <?php $text = Text::_(isset($displayData['yes_text']) ? $displayData['yes_text'] : 'JYES');
    echo BSWrapper::label($text, 'success');
  ?>
<?php else: ?>
  <?php $text = Text::_(isset($displayData['no_text']) ? $displayData['no_text'] : 'JNO');
    echo BSWrapper::label($text, 'danger');
  ?>
<?php endif; ?>
