<?php

/* 
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 *  
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;


$templates = $displayData['templates'];

?>

	<form action="index.php?option=com_lartssubscriptions&view=vatrates" method="POST" name="adminForm" id="adminForm" class="form-inline">

		<div id="j-main-container">
      
      <table class="table table-striped">
        <thead>
          <tr>
            <th class="center" style="width:60px;">
              <?php echo Text::_('COM_LARTSSUBS_NAME'); ?>
            </th>
          </tr>
        </thead>
        <?php if(count($templates)) : ?>
          <?php foreach ($templates as $item) : ?>
            <?php
            //$link    = 'index.php?option=com_lartssubscriptions&task=vatrates.edit&cid[]=' . $row->id;
            ?>
            <tr>
              <td class="center">
                <?php echo $item->name; ?>
              </td>
            </tr>
          <?php endforeach; ?>
        <?php else : ?>
          <tr>
            <td align="center" colspan="9">
                <div align="center"><?php echo Text::_("COM_LARTSSUBS_NO_ENTRIES"); ?></div>
            </td>
          </tr>
        <?php endif; ?>
            
      </table>

		</div>

		<input name="task" type="hidden" value="" />
		<input name="boxchecked" type="hidden" value="0" />

	</form>
