<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions\Base;
defined('_JEXEC') or die;

use Joomla\CMS\Event\GenericEvent;
use Joomla\CMS\Event\Result\ResultAware;
use Joomla\CMS\Event\Result\ResultTypeMixedAware;
use Joomla\CMS\Event\Result\ResultAwareInterface;


class GenericReturnsEvent extends GenericEvent implements ResultAwareInterface
{
	use ResultAware;
	use ResultTypeMixedAware;

	public function __construct($name, array $arguments = [])
	{
		parent::__construct($name, $arguments);
	}
	
	public function getResult() {
		$ret = !isset($this->arguments['result']) || \is_null($this->arguments['result']) ? [] : $this->arguments['result'];
		return $ret;
	}
		
}
