<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace LartsSubscriptions;
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;


class TransactionType
{
  // order
  const OFFLINE = 1;
  const ONLINE = 0;

  public static function hasState($var, $state) {
    return ($var == $state);
  }
  
  public static function Str($state)
	{
		if ($state == self::OFFLINE) {
			return Text::_('COM_LARTSSUBS_OFFLINE_PAYMENT');
		}
		if ($state == self::ONLINE) {
			return Text::_('COM_LARTSSUBS_ONLINE_PAYMENT');
		}

		return '?';
	}
  
}
