
(function() {
    'use strict';

    document.addEventListener('change', function(event) {
        var business_check,
            business_tax_label,
            business_tax_id;

        if (event.target.id === 'business_check') {
            business_check = document.getElementById('business_check').checked;
            business_tax_label = document.getElementById('business_tax_id');
            business_tax_id = business_tax_label.closest('p');

            if (business_check) {
                business_tax_id.classList.remove('validate-required');
                business_tax_id.classList.add('validate-required');
                business_tax_id.style.display = 'block';
                business_tax_id.querySelector('.optional').style.display = 'none';
            } else {
                business_tax_id.classList.remove('validate-required');
                business_tax_id.style.display = 'none';
            }
        }
    });
})();
