<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Layout\FileLayout;

use LartsSubscriptions\Base\Image;
use LartsSubscriptions\Price;

$num_columns = ! empty($displayData['num_columns']) ? $displayData['num_columns'] : 3;

$layoutsPath = JPATH_SITE . '/components/com_lartssubscriptions/layouts';

$view = $displayData['view'];
$config = $view->config;
$products = $view->products;

?>
<div class="clearfix"></div>


<div class="larts">
    <div class="product-tiles-container">

		<?php foreach ($products as $i => $item): ?>

      <?php
      $item->url_details  = Route::_('index.php?option=com_lartssubscriptions&view=product&id=' . $item->id);

      $layout = new FileLayout('product_tiles_item', $layoutsPath);
      echo $layout->render(['view' => $view, 'product' => $item]);

      ?>
		<?php endforeach; ?>
	</div>
</div>

<div class="clearfix"></div>
