<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die();
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\HTML\HTMLHelper;

?>

	<form action="<?php echo Route::_('index.php'); ?>" method="POST" name="adminForm" id="adminForm" class="form-inline form-vertical">
		<div class="input-group input-append">
			<input name="coupon_code" id="coupon_code" class="form-control input input-medium" style="width:180px;" type="text" size="25" maxlength="50" />
			<input name="button" class="btn btn-outline-secondary input-group-addon " type="submit" conclick="submitCoupon()"
             value="<?php echo Text::_('COM_LARTSSUBS_COUPON_SUBMIT'); ?>" />
		</div>

		<input type="hidden" name="task" value="checkout.coupon" />
		<input type="hidden" name="option" value="com_lartssubscriptions" />
    <?php echo HTMLHelper::_('form.token'); ?>
	</form>

<?php if ($this->config->show_coupon_explanation): ?>
	<div class="coupon_description">
		<small><?php echo Text::_('COM_LARTSSUBS_COUPON_DISCOUNT'); ?></small>
	</div>
<?php endif; ?>

