<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

// Define a helper constant to indicate the Joomla installation
$ver = explode('.', JVERSION, 2);
if ($ver[0] == 5) {
  if(!defined('verJ5')) {
    define('verJ5', true);
  }
}
else if ($ver[0] == 4) {
  if(!defined('verJ4')) {
    define('verJ4', true);
  }
}
else {
  if(!defined('verJ3')) {
    define('verJ3', true);
  }
}

// Joomla doesn't autoload JFile and JFolder
JLoader::register('JFile', JPATH_LIBRARIES . '/joomla/filesystem/file.php');
JLoader::register('JFolder', JPATH_LIBRARIES . '/joomla/filesystem/folder.php');


JLoader::registerNamespace('LartsSubscriptions', JPATH_ADMINISTRATOR . '/components/com_lartssubscriptions/lib/src', false, false, 'psr4');

