<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\FormField;


class JFormFieldLarts_Linkbtn extends FormField
{
	public $type = 'Linkbtn';

  public function __construct() {
    parent::__construct(); 
  }

	protected function getInput()
	{
    $href = isset($this->element['href']) ? $this->element['href'] : '#';
    $btnlabel = isset($this->element['btnlabel']) ? $this->element['btnlabel'] : '#';

    $button = '<a class="btn btn-default pull-left" href="' .$href. '" type="submit">'
                .Text::_($btnlabel). '</a>';

		return $button;
	}
}
