<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;

class JFormFieldLarts_User extends FormField
{
	public $type = 'User';

	protected function getInput()
	{
		$db = Factory::getDbo();

		$query = $db->getQuery(true)
			->select('username')
			->from($db->quoteName('#__users'))
			->where($db->quoteName('id') . ' = ' . (int) $this->value);

		$db->setQuery($query);
		$username = $db->loadResult();

		return
			'<span class="icon-user"></span>'
			. ' <a href="index.php?option=com_users&task=user.edit&id=' . $this->value . '">'
			. ' ' . $username
			. '</a>'
			. ' <span class="label mx-2" >(' .$this->value. ')</span>';
	}
}
