<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */


namespace Larts\Component\LartsSubscriptions\Administrator\View\Editorbutton;
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Form\Form;

class HtmlView extends BaseHtmlView
{
  public $eName;
  public $form;

  function display($tpl = null)
	{
		// Load plugin language file
		$lang = Factory::getLanguage();
		$lang->load('plg_editors-xtd_lartssubscriptions', JPATH_ADMINISTRATOR);

    // Get editor name
    $eName = Factory::getApplication()->GetInput()->getCmd('e_name');
			
  	// Get form fields
		$xml = JPATH_PLUGINS . "/editors-xtd/lartssubscriptions/src/Extension/form.xml";
	  $form = new Form("com_lartssubscriptions.button", array('control' => 'jform'));
    $form->loadFile($xml, false);

    // Template properties
    $this->eName = preg_replace('#[^A-Z0-9\-\_\[\]]#i', '', $eName);
    $this->form = $form;

    parent::display($tpl);
	}

}
