<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Editor\Editor;

?>

<div class="alert alert-info">
	<h4><?php echo Text::_('COM_LARTSSUBS_RELEASE_NOTES'); ?></h4>
	<?php echo Text::_('COM_LARTSSUBS_RELEASE_NOTES_DESC'); ?>
</div>

<?php
  $cfgEditor = Factory::getConfig()->get('editor');
  $editor = Editor::getInstance($cfgEditor);
  echo $editor->display('releasenotes',
	isset($this->data->releasenotes) ? $this->data->releasenotes : '',
	'100%', '500', '100', '15');
?>
