<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Date\Date;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;

use LartsSubscriptions\Base\DateEx;

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);

?>

<?php
$layout = new FileLayout('menu');
echo $layout->render('queue');
?>

<div class="row larts-edit-row">
  <div class="span6 col-md-6">
    <h4>Mails</h4>
		<?php echo $this->loadTemplate('mails'); ?>
  </div>
  <div class="span4 col-md-4" style="padding-left: 15px;border-left: 2px solid lightgray">
    <h4>Templates</h4>
    <?php $cmd = "Joomla.submitbutton('queue.removeTemplates');"; ?>
    <div class="inline pull-left">
      <button class="btn btn-sm" type="submit" onClick="<?php echo $cmd; ?>"><?php echo Text::_('COM_LARTSSUBS_DELETE'); ?></button>
    </div>

    <?php echo $this->loadTemplate('templates'); ?>
  </div>
</div>



