<?php
/**
 * @package         Lartssubscriptions Free
 * @version         24.3.1
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

use LartsSubscriptions\Price;

$wa = $this->document->getWebAssetManager();
$wa->useScript('keepalive')
   ->useScript('form.validate');

HTMLHelper::_('stylesheet', 'com_lartssubscriptions/adminj4.css', ['version' => 'auto', 'relative' => true]);

$amount = Price::_($this->data->amount);

?>

<form action="index.php?option=com_lartssubscriptions&view=transactions" method="POST" name="adminForm" id="adminForm" class="form-horizontal">

	<fieldset class="form-horizontal-desktop">
		<?php echo $this->form->renderFieldset('details'); ?>
	</fieldset>

	<input type="hidden" name="task" value="" />
</form>

